Package org.apache.tomcat.util.codec

# Interface BinaryEncoder

All Superinterfaces:
  `Encoder`

All Known Implementing Classes:
  `Base64`, `BaseNCodec`

@Deprecated public interface BinaryEncoder extends Encoder
Deprecated.
This interface is unused and will be removed in Tomcat 9
Defines common encoding methods for byte array encoders.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`encode(byte[] source)`
Deprecated.
Encodes a byte array and return the encoded data as a byte array.

### Methods inherited from interface org.apache.tomcat.util.codec.Encoder

`encode`

## Method Details

### encode

byte[] encode(byte[] source) throws EncoderException
Deprecated.
Encodes a byte array and return the encoded data as a byte array.

Parameters:
  `source` - Data to be encoded
Returns:
  A byte array containing the encoded data
Throws:
  `EncoderException` - thrown if the Encoder encounters a failure condition during the encoding process.